Bug 1854072 - Replacing masters doesn't work for ovn-kubernetes 4.4
Summary: Replacing masters doesn't work for ovn-kubernetes 4.4
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Federico Paolinelli
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 1837953 1882569 1857455 1857462
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-06 09:23 UTC by OpenShift BugZilla Robot
Modified: 2020-09-25 02:31 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 693 None closed [release-4.5] Bug 1854072: Check if the db file has been correctly initialized with raft. 2020-09-25 02:32:08 UTC
Github openshift cluster-network-operator pull 718 None closed Bug 1858712: Revert "[release-4.5] Bug 1854072: Check if the db file has been correctly initialized with raft. 2020-09-25 02:32:07 UTC

Comment 4 Ross Brattain 2020-07-17 03:18:05 UTC
Verified on 4.5.0-0.ci-2020-07-16-074128


log-ovnkube-master-v99vn-sbdb:+ check_db_health /etc/ovn/ovnsb_db.db
log-ovnkube-master-v99vn-sbdb-+ db=/etc/ovn/ovnsb_db.db
log-ovnkube-master-v99vn-sbdb-+ [[ ! -f /etc/ovn/ovnsb_db.db ]]
log-ovnkube-master-v99vn-sbdb-+ echo 'Checking /etc/ovn/ovnsb_db.db health'
log-ovnkube-master-v99vn-sbdb-Checking /etc/ovn/ovnsb_db.db health
log-ovnkube-master-v99vn-sbdb-++ ovsdb-tool show-log /etc/ovn/ovnsb_db.db
log-ovnkube-master-v99vn-sbdb-++ sed -ne '/server_id:/s/server_id: *\([[:xdigit:]]\+\)/\1/p'
log-ovnkube-master-v99vn-sbdb-+ serverid=' 7e86'
log-ovnkube-master-v99vn-sbdb-++ ovsdb-tool show-log /etc/ovn/ovnsb_db.db
log-ovnkube-master-v99vn-sbdb-++ grep 'prev_servers: * 7e86('
log-ovnkube-master-v99vn-sbdb-++ true
log-ovnkube-master-v99vn-sbdb-+ match=
log-ovnkube-master-v99vn-sbdb-+ [[ -z '' ]]
log-ovnkube-master-v99vn-sbdb-+ echo 'Current server_id  7e86 not found in /etc/ovn/ovnsb_db.db, cleaning up'
log-ovnkube-master-v99vn-sbdb-Current server_id  7e86 not found in /etc/ovn/ovnsb_db.db, cleaning up
--
log-ovnkube-master-gc4ln-sbdb:+ check_db_health /etc/ovn/ovnsb_db.db
log-ovnkube-master-gc4ln-sbdb-+ db=/etc/ovn/ovnsb_db.db
log-ovnkube-master-gc4ln-sbdb-+ [[ ! -f /etc/ovn/ovnsb_db.db ]]
log-ovnkube-master-gc4ln-sbdb-+ echo '/etc/ovn/ovnsb_db.db does not exist, skipping health check'
log-ovnkube-master-gc4ln-sbdb-/etc/ovn/ovnsb_db.db does not exist, skipping health check
log-ovnkube-master-gc4ln-sbdb-+ return
log-ovnkube-master-gc4ln-sbdb-+ MASTER_IP=10.0.166.107
log-ovnkube-master-gc4ln-sbdb-+ [[ 10.0.206.120 == \1\0\.\0\.\1\6\6\.\1\0\7 ]]
log-ovnkube-master-gc4ln-sbdb-+ echo 'joining cluster at 10.0.166.107'
log-ovnkube-master-gc4ln-sbdb-joining cluster at 10.0.166.107
log-ovnkube-master-gc4ln-sbdb-++ bracketify 10.0.206.120
log-ovnkube-master-gc4ln-sbdb-++ case "$1" in
log-ovnkube-master-gc4ln-sbdb-++ echo 10.0.206.120
log-ovnkube-master-gc4ln-sbdb-++ bracketify 10.0.166.107
log-ovnkube-master-gc4ln-sbdb-++ case "$1" in
--
log-ovnkube-master-v99vn-nbdb:+ check_db_health /etc/ovn/ovnnb_db.db
log-ovnkube-master-v99vn-nbdb-+ db=/etc/ovn/ovnnb_db.db
log-ovnkube-master-v99vn-nbdb-+ [[ ! -f /etc/ovn/ovnnb_db.db ]]
log-ovnkube-master-v99vn-nbdb-+ echo 'Checking /etc/ovn/ovnnb_db.db health'
log-ovnkube-master-v99vn-nbdb-Checking /etc/ovn/ovnnb_db.db health
log-ovnkube-master-v99vn-nbdb-++ sed -ne '/server_id:/s/server_id: *\([[:xdigit:]]\+\)/\1/p'
log-ovnkube-master-v99vn-nbdb-++ ovsdb-tool show-log /etc/ovn/ovnnb_db.db
log-ovnkube-master-v99vn-nbdb-+ serverid=' 4424'
log-ovnkube-master-v99vn-nbdb-++ ovsdb-tool show-log /etc/ovn/ovnnb_db.db
log-ovnkube-master-v99vn-nbdb-++ grep 'prev_servers: * 4424('
log-ovnkube-master-v99vn-nbdb-++ true
log-ovnkube-master-v99vn-nbdb-+ match=
log-ovnkube-master-v99vn-nbdb-+ [[ -z '' ]]
log-ovnkube-master-v99vn-nbdb-+ echo 'Current server_id  4424 not found in /etc/ovn/ovnnb_db.db, cleaning up'
log-ovnkube-master-v99vn-nbdb-Current server_id  4424 not found in /etc/ovn/ovnnb_db.db, cleaning up
--
log-ovnkube-master-gc4ln-nbdb:+ check_db_health /etc/ovn/ovnnb_db.db
log-ovnkube-master-gc4ln-nbdb-+ db=/etc/ovn/ovnnb_db.db
log-ovnkube-master-gc4ln-nbdb-+ [[ ! -f /etc/ovn/ovnnb_db.db ]]
log-ovnkube-master-gc4ln-nbdb-+ echo '/etc/ovn/ovnnb_db.db does not exist, skipping health check'
log-ovnkube-master-gc4ln-nbdb-/etc/ovn/ovnnb_db.db does not exist, skipping health check
log-ovnkube-master-gc4ln-nbdb-+ return
log-ovnkube-master-gc4ln-nbdb-+ MASTER_IP=10.0.166.107
log-ovnkube-master-gc4ln-nbdb-+ [[ 10.0.206.120 == \1\0\.\0\.\1\6\6\.\1\0\7 ]]
log-ovnkube-master-gc4ln-nbdb-++ bracketify 10.0.206.120
log-ovnkube-master-gc4ln-nbdb-++ case "$1" in
log-ovnkube-master-gc4ln-nbdb-++ echo 10.0.206.120
log-ovnkube-master-gc4ln-nbdb-++ bracketify 10.0.166.107
log-ovnkube-master-gc4ln-nbdb-++ case "$1" in
log-ovnkube-master-gc4ln-nbdb-++ echo 10.0.166.107
log-ovnkube-master-gc4ln-nbdb-+ exec /usr/share/ovn/scripts/ovn-ctl --db-nb-cluster-local-port=9643 --db-nb-cluster-remote-port=9643 --db-nb-cluster-local-addr=10.0.206.120 --db-nb-cluster-remote-addr=10.0.166.107 --no-monitor --db-nb-cluster-local-proto=ssl --db-nb-cluster-remote-proto=ssl --ovn-nb-db-ssl-key=/ovn-cert/tls.key --ovn-nb-db-ssl-cert=/ovn-cert/tls.crt --ovn-nb-db-ssl-ca-cert=/ovn-ca/ca-bundle.crt '--ovn-nb-log=-vconsole:info -vfile:off' run_nb_ovsdb
--
log-ovnkube-master-2jzj4-nbdb:+ check_db_health /etc/ovn/ovnnb_db.db
log-ovnkube-master-2jzj4-nbdb-+ db=/etc/ovn/ovnnb_db.db
log-ovnkube-master-2jzj4-nbdb-+ [[ ! -f /etc/ovn/ovnnb_db.db ]]
log-ovnkube-master-2jzj4-nbdb-+ echo 'Checking /etc/ovn/ovnnb_db.db health'
log-ovnkube-master-2jzj4-nbdb-Checking /etc/ovn/ovnnb_db.db health
log-ovnkube-master-2jzj4-nbdb-++ ovsdb-tool show-log /etc/ovn/ovnnb_db.db
log-ovnkube-master-2jzj4-nbdb-++ sed -ne '/server_id:/s/server_id: *\([[:xdigit:]]\+\)/\1/p'
log-ovnkube-master-2jzj4-nbdb-+ serverid=' 6f7e'
log-ovnkube-master-2jzj4-nbdb-++ ovsdb-tool show-log /etc/ovn/ovnnb_db.db
log-ovnkube-master-2jzj4-nbdb-++ grep 'prev_servers: * 6f7e('
log-ovnkube-master-2jzj4-nbdb-++ true
log-ovnkube-master-2jzj4-nbdb-+ match=
log-ovnkube-master-2jzj4-nbdb-+ [[ -z '' ]]
log-ovnkube-master-2jzj4-nbdb-+ echo 'Current server_id  6f7e not found in /etc/ovn/ovnnb_db.db, cleaning up'
log-ovnkube-master-2jzj4-nbdb-Current server_id  6f7e not found in /etc/ovn/ovnnb_db.db, cleaning up
--
log-ovnkube-master-2jzj4-sbdb:+ check_db_health /etc/ovn/ovnsb_db.db
log-ovnkube-master-2jzj4-sbdb-+ db=/etc/ovn/ovnsb_db.db
log-ovnkube-master-2jzj4-sbdb-+ [[ ! -f /etc/ovn/ovnsb_db.db ]]
log-ovnkube-master-2jzj4-sbdb-+ echo 'Checking /etc/ovn/ovnsb_db.db health'
log-ovnkube-master-2jzj4-sbdb-Checking /etc/ovn/ovnsb_db.db health
log-ovnkube-master-2jzj4-sbdb-++ ovsdb-tool show-log /etc/ovn/ovnsb_db.db
log-ovnkube-master-2jzj4-sbdb-++ sed -ne '/server_id:/s/server_id: *\([[:xdigit:]]\+\)/\1/p'
log-ovnkube-master-2jzj4-sbdb-+ serverid=' 09b3'
log-ovnkube-master-2jzj4-sbdb-++ ovsdb-tool show-log /etc/ovn/ovnsb_db.db
log-ovnkube-master-2jzj4-sbdb-++ grep 'prev_servers: * 09b3('
log-ovnkube-master-2jzj4-sbdb-++ true
log-ovnkube-master-2jzj4-sbdb-+ match=
log-ovnkube-master-2jzj4-sbdb-Current server_id  09b3 not found in /etc/ovn/ovnsb_db.db, cleaning up
log-ovnkube-master-2jzj4-sbdb-+ [[ -z '' ]]
log-ovnkube-master-2jzj4-sbdb-+ echo 'Current server_id  09b3 not found in /etc/ovn/ovnsb_db.db, cleaning up'

Comment 5 Scott Dodson 2020-07-20 12:32:10 UTC
https://github.com/openshift/cluster-network-operator/pull/718 is reverting the fix here.

Comment 7 W. Trevor King 2020-07-20 14:15:51 UTC
*** Bug 1858712 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.